div {
    width: 200px;
    height: 200px;
    background-color: grey;
    margin-bottom: 20px;
    box-sizing: border-box;
}

#div1 {
    border: 20px solid red;
}

#div2 {
    border-width: 20px;
    border-style: solid;
    border-color: red;
}

#div3 {
    border: 20px dotted red;
}

#div4 {
    border: 20px dashed red;
}

#div5 {
    border: 20px double red;
}

#div6 {
    border: 20px groove red;
}

#div7 {
    border: 20px ridge red;
}

#div8 {
    border: 20px inset red;
}

#div9 {
    border: 20px outset red;
}

#div10 {
    border-bottom: 10px solid blue;
    border-top: 20px dotted red;
    border-right: 100px groove pink;
    border-left: 30px dashed green;
}

#div11 {
    border-bottom-width: 10px;
    border-bottom-style: solid;
    border-bottom-color: red;

    border-top-width: 20px;
    border-top-style: dotted;
    border-top-color: blue;

    border-right-width: 100px;
    border-right-style: groove;
    border-right-color: pink;

    border-left-width: 30px;
    border-left-style: dashed;
    border-left-color: green;
}

#div12 {
    color: white;
    font-weight: bold;
    height: 50px;
    width: 400px;
    padding: 15px;
    font-size: 20px;
    background-color: deepskyblue;
    border-left: 10px solid dodgerblue;
}